Skip to main content
GET
List Shopping Merchants

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

brands
string[] | null

Restrict results to merchants whose products have a catalogue brand matching one of these names.

product_catalog_ids
string[] | null

Restrict results to merchants whose products are linked to one of these catalogue IDs.

search
string | null

Restrict results to merchants whose name matches this search term.

page
integer
default:1

Page number (1-based).

Required range: x >= 1
page_size
integer
default:20

Number of merchants per page.

Required range: 1 <= x <= 1000
sort_column
enum<string> | null

Metric to sort by. Defaults to results_count (descending) when omitted.

Available options:
results_count,
products_count,
products_average_position,
products_price,
products_rating,
products_reviews_count,
merchants_count,
brands_count,
products_share_of_shelf
sort_direction
enum<string> | null

Sort direction. Defaults to DESC when omitted.

Available options:
ASC,
DESC
date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

data
ShoppingMerchantItem · object[]
required

Items for the current page.

pagination
Pagination · object
required

Pagination metadata.